LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
RotationDescriptor Service Referencepublished

This abstract service specifies the general characteristics of an optional rotation and shearing for a Shape. More...

`import"RotationDescriptor.idl";`

Inheritance diagram for RotationDescriptor:

## Public Attributes
long | RotateAngle
| This is the angle for rotation of this Shape. More...
long | ShearAngle
| This is the amount of shearing for this Shape. More...

## Detailed Description

This abstract service specifies the general characteristics of an optional rotation and shearing for a Shape.

This service is deprecated, instead please use the `Transformation` property of the service Shape.

Deprecated:

Developers Guide
  Drawings - Rotating and Shearing

## Member Data Documentation

long RotateAngle
| property

This is the angle for rotation of this Shape.

The shape is rotated counter-clockwise around the center of the bounding box.

This property contains an error, the rotation angle is mathematically inverted when You take into account that the Y-Axis of the coordinate system is pointing down. Please use the `Transformation` property of the service Shape instead.

Deprecated:

long ShearAngle
| optional property

This is the amount of shearing for this Shape.

The shape is sheared counter-clockwise around the center of the bounding box

Deprecated:

The documentation for this service was generated from the following file:

- com/sun/star/drawing/RotationDescriptor.idl